[csw-devel] SF.net SVN: opencsw:[468] catalog_signatures/bin

bdwalton at users.sourceforge.net bdwalton at users.sourceforge.net
Thu Jul 21 05:23:44 CEST 2011


Revision: 468
          http://opencsw.svn.sourceforge.net/opencsw/?rev=468&view=rev
Author:   bdwalton
Date:     2011-07-21 03:23:44 +0000 (Thu, 21 Jul 2011)

Log Message:
-----------
rename daemon_verify to passphrase_verify and update callers as required

Signed-off-by: Ben Walton <bwalton at opencsw.org>

Modified Paths:
--------------
    catalog_signatures/bin/http_daemon_init

Added Paths:
-----------
    catalog_signatures/bin/passphrase_verify

Removed Paths:
-------------
    catalog_signatures/bin/daemon_verify

Deleted: catalog_signatures/bin/daemon_verify
===================================================================
--- catalog_signatures/bin/daemon_verify	2011-07-21 03:23:17 UTC (rev 467)
+++ catalog_signatures/bin/daemon_verify	2011-07-21 03:23:44 UTC (rev 468)
@@ -1,21 +0,0 @@
-#!/opt/csw/bin/bash
-
-PATH=/opt/csw/bin:/opt/csw/gnu:$PATH
-
-while /bin/true; do
-
-    # test that the passphrase is still cached...
-    gpg --yes --batch --homedir "${APP_GPG}" --clearsign --armor --output "${APP_TMP}/$(basename ${APP_DAEMON}).asc" "${APP_DAEMON}"
-
-    if [ $? -eq 0 ]; then
-	echo "$(date +%c): Checking; Ok."
-	sleep 60
-    else
-	reset
-	clear
-	# send mail here...
-	echo "$(date +%c): AHA!  The passphrase has expired...[Mail sent.]"
-	echo "$(date +%c): Press ENTER to continue monitoring."
-	read CONT
-    fi
-done

Modified: catalog_signatures/bin/http_daemon_init
===================================================================
--- catalog_signatures/bin/http_daemon_init	2011-07-21 03:23:17 UTC (rev 467)
+++ catalog_signatures/bin/http_daemon_init	2011-07-21 03:23:44 UTC (rev 468)
@@ -7,6 +7,6 @@
 # warm up the passphrase...
 gpg --yes --homedir "${APP_GPG}" --clearsign --armor --output "${APP_TMP}/$(basename ${APP_DAEMON}).asc" "${APP_DAEMON}"
 
-screen -t verification 0 ${APP_BIN}/daemon_verify
+screen -t verification 0 "${APP_BIN}/passphrase_verify"
 
 exec "${APP_DAEMON}"

Copied: catalog_signatures/bin/passphrase_verify (from rev 467, catalog_signatures/bin/daemon_verify)
===================================================================
--- catalog_signatures/bin/passphrase_verify	                        (rev 0)
+++ catalog_signatures/bin/passphrase_verify	2011-07-21 03:23:44 UTC (rev 468)
@@ -0,0 +1,21 @@
+#!/opt/csw/bin/bash
+
+PATH=/opt/csw/bin:/opt/csw/gnu:$PATH
+
+while /bin/true; do
+
+    # test that the passphrase is still cached...
+    gpg --yes --batch --homedir "${APP_GPG}" --clearsign --armor --output "${APP_TMP}/$(basename ${APP_DAEMON}).asc" "${APP_DAEMON}"
+
+    if [ $? -eq 0 ]; then
+	echo "$(date +%c): Checking; Ok."
+	sleep 60
+    else
+	reset
+	clear
+	# send mail here...
+	echo "$(date +%c): AHA!  The passphrase has expired...[Mail sent.]"
+	echo "$(date +%c): Press ENTER to continue monitoring."
+	read CONT
+    fi
+done


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the devel mailing list